Package com.sas.lsaf.security.group

## Class GroupDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.security.group.GroupDescriptor

- All Implemented Interfaces:
    `Identifiable`, `Principal`, `java.io.Serializable`
  Direct Known Subclasses:
    `Group`

      public class GroupDescriptor
      extends AbstractIdentifiable
      implements Principal

  A lightweight representation of a group.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupDescriptor​(java.lang.String id, ObjectIdentity context, java.lang.String name, java.lang.String description)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `ObjectIdentity` | `getContext()` | Gets the context in which the group was defined.
    `java.lang.String` | `getDescription()` | Gets the description of the group.
    `java.lang.String` | `getName()` | Gets the name of the group.
    `java.lang.String` | `getPrincipalId()` | Returns the principal identifier of a user or group.
    `java.lang.String` | `getPrincipalName()` | Returns the principal name of a user or group.
    `int` | `hashCode()` |
    `void` | `setDescription​(java.lang.String description)` | Sets the description of the group.
    `void` | `setName​(java.lang.String name)` | Sets the name of the group.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sas.lsaf.core.Identifiable

      `getId, getTypeId`

- - ### Constructor Detail

    - #### GroupDescriptor

          public GroupDescriptor​(java.lang.String id,
                                 ObjectIdentity context,
                                 java.lang.String name,
                                 java.lang.String description)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the group descriptors returned by the API.
      Parameters:
        `id` - the unique identifier of the group.
        `context` - the context in which the group was defined.
        `name` - the name of the group.
        `description` - the description of the group.

  - ### Method Detail

    - #### getContext

          public ObjectIdentity getContext()

      Gets the context in which the group was defined.
      Returns:
        The context in which the group was defined.

    - #### getName

          public java.lang.String getName()

      Gets the name of the group.
      Returns:
        The name of the group.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the group.
      Parameters:
        `name` - the name of the group.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the group.
      Returns:
        The description of the group.

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets the description of the group.
      Parameters:
        `description` - the description of the group.

    - #### getPrincipalId

          public java.lang.String getPrincipalId()

      Description copied from interface: `Principal`
      Returns the principal identifier of a user or group. This uniquely identifies the principal within the system.
      Specified by:
        `getPrincipalId` in interface `Principal`
      Returns:
        The principal identifier of a user or group.

    - #### getPrincipalName

          public java.lang.String getPrincipalName()

      Description copied from interface: `Principal`
      Returns the principal name of a user or group. This may not uniquely identify the principal and should only be used for display purposes.
      Specified by:
        `getPrincipalName` in interface `Principal`
      Returns:
        The principal name of a user or group.

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`